Bug 659087 - Content for .NET needs to be added to the Installation Guide
Summary: Content for .NET needs to be added to the Installation Guide
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Installation_and_Configuration_Guide
Version: 1.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: 1.3.2
: ---
Assignee: Lana Brindley
QA Contact: Frantisek Reznicek
URL:
Whiteboard:
Depends On: 652506
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-01 21:44 UTC by Ted Ross
Modified: 2015-11-16 01:13 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-13 23:38:33 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ted Ross 2010-12-01 21:44:23 UTC
The Messaging Installation Guide needs to be updated with content covering the .NET interfaces in the Windows SDK.

Comment 1 Irina Boverman 2010-12-02 20:45:29 UTC
Installation information can be found here:
https://docspace.corp.redhat.com/docs/DOC-51795

Comment 2 Alison Young 2010-12-03 06:54:37 UTC
Planned for 2.0.

Comment 4 Susan Burgess 2010-12-06 10:05:52 UTC
Alison, can you direct me to the bug tracker for 1.3.1?

Comment 5 Lana Brindley 2010-12-08 03:32:51 UTC
Please refer to
https://engineering.redhat.com/trac/ContentServices/wiki/MRG131DocPlan for
details of this project.

I note the following points in regard to this project:

* Documentation written by engineers that has not gone through ECS
documentation processes is not considered Red Hat standard, and no
responsibility will be taken by ECS authors for the accuracy or quality of the
text
* The editorial review provided by ECS in this case is a peer edit, done under
extreme time pressure. It does not constitute a technical review or a QE review
* Due to the nature of this project, and the points made above, an extra
deliverable has been added to the MRG 2.0 documentation project to review and
correct the documentation changed as part of 1.3.1. This will impact the
schedule for 2.0.
* Alison Young is unavailable for this project, so it will be picked up by Lana
Brindley. Please contact Lana directly for any concerns or questions about this
project, as she is not currently subscribed to MRG mailing lists.

Irina, can you please sign off on this project as soon as possible, so that
work can begin.

Cheers,
Lana

Comment 6 Frantisek Reznicek 2010-12-09 11:52:01 UTC
The review notes of Red Hat Enterprise MRG 1.3.1 Messaging WinSDK Installation Guide:

- all marks ?<id>? has to be expanded
  ?where?, ?what's the formal name?, ?what-is-the-name?
- typo pg1, 'pacakge'
- name and number of architecture/diagram missing (pg 3)
- c++ example tables, rows should be named differently for example 'example name' and 'example description'
- Description of .NET 2.0 support has to be added, (pg 6)
  "MRG Messaging WinSDK library MRG Messaging Managed Callback Library is built specifically for .NET Framework v3.5. None of the other MRG Messaging libraries have any dependency on a .NET Framework version number."
  should be reconsidered whether it is still correct.
- .NET c# example tables, rows should be named differently for example 'example name' and 'example description' (pg. 6-7)
- remove 'CER messages'
- more formal numbering of chapters and figures and tables would be very helpfull

Comment 7 Frantisek Reznicek 2010-12-09 12:51:30 UTC
The current MRG winsdk kit contains the readme file which is the base part of the above reviewed 'Red Hat Enterprise MRG 1.3.1 Messaging WinSDK Installation
Guide'.

Reviewing also the README-winsdk.txt:
- the header 'Qpid-Cpp-Win-Sdk' is obsoleted and should be updated
- short description of the .NET client architecture under the diagram would be beneficial
- description what .NET framework version[s] are targeted should be included
- link or brief description of c++ / c# examples


Optionally:
- brief description of building process of c++ examples

Comment 8 Lana Brindley 2010-12-12 20:19:56 UTC
Waiting on Irina's signoff to go ahead with editing. Project status is now YELLOW for on-time completion.

LKB

Comment 10 Lana Brindley 2010-12-12 23:22:49 UTC
Thanks Irina.

LKB

Comment 11 Lana Brindley 2010-12-14 03:29:11 UTC
Re-assigning back to Alison for handling as part of 1.3.2.

LKB

Comment 12 Lana Brindley 2010-12-16 22:14:00 UTC
Added to content spec for 1.3.2.

LKB

Comment 13 Lana Brindley 2010-12-17 03:37:21 UTC
Hi Chuck,

Could you please respond to Frantisek's comments? I'm working on this document now.

LKB

Comment 14 Chuck Rolke 2010-12-17 16:10:45 UTC
Answering Frantisek's comments. My notes are prefaced with "  --"

-Chuck

- all marks ?<id>? has to be expanded
  ?where?, ?what's the formal name?, ?what-is-the-name?

Q1. Before you install Red Hat Enterprise MRG Messaging WinSDK check that your hardware and platform is supported. A complete list is ?where?.

A1. I don't know where this is specified. A list of what has actually been tested might substitute. Or, could this be deleted from the doc, or raised as a separate BZ.

Q2. ?what's the formal name?
A2. Red Hat Enterprise MRG Messaging 1.3 for Windows SDK

Q3. ?what is the name?
A3. qpid-cpp-winsdk-1.3.0.24 , identifying the names of the .zip files.

- typo pg1, 'pacakge'
  -- oops.

- name and number of architecture/diagram missing (pg 3)
  -- ECS would probably never publish ascii art. They will get a better graphic and put it in properly.

- c++ example tables, rows should be named differently for example 'example
name' and 'example description'
  -- Good idea. The C++ tables and the .NET tables should be in the same format.

- Description of .NET 2.0 support has to be added, (pg 6)
  "MRG Messaging WinSDK library MRG Messaging Managed Callback Library is built
specifically for .NET Framework v3.5. None of the other MRG Messaging libraries
have any dependency on a .NET Framework version number."
  should be reconsidered whether it is still correct.

  -- Well spotted. The library is built with v2.0 and will work with any .NET Framework v2.0 and above.

- .NET c# example tables, rows should be named differently for example 'example
name' and 'example description' (pg. 6-7)
  -- Good suggestion. Fixed in the Programming In Apache Qpid doc.

- remove 'CER messages'
  -- of course

- more formal numbering of chapters and figures and tables would be very
helpfull
  -- ECS does a great job of this.

Comment 15 Lana Brindley 2010-12-20 00:19:52 UTC
The beginning of this is on the stage, and will be updated regularly during
development.

LKB

Comment 16 Lana Brindley 2011-02-06 21:12:23 UTC
This document is now awaiting technical and QE reviews.

LKB

Comment 17 Frantisek Reznicek 2011-02-10 09:44:28 UTC
The MRG IG Revision 4-6 still contains:

  9.1. WinSDK Installation
    Download the qpid-cpp-winsdk-1.3.0.24-x86.zip file from [[FIXME]].

    Download the qpid-cpp-winsdk-1.3.0.24-x64.zip file from [[FIXME]].

[[FIXME]] should go away.


-> ASSIGNED

Comment 18 Lana Brindley 2011-02-10 18:43:58 UTC
I've removed the FIXME for now.

Revision 4-7.

LKB


Note You need to log in before you can comment on or make changes to this bug.